package com.qmth.teachcloud.common.service;

import com.qmth.teachcloud.common.bean.vo.FilePathVo;
import com.qmth.teachcloud.common.entity.BasicAttachment;
import com.qmth.teachcloud.common.enums.UploadFileEnum;

import java.io.File;

public interface FileUploadService {

    FilePathVo uploadFile(File pdfFile, UploadFileEnum uploadFileEnum, String fileName);

    File downloadFile(String path, String pathName) throws Exception;
    File downloadFile(String type, UploadFileEnum uploadFileEnum, String path, String pathName) throws Exception;
    File downloadFile(Long attachmentId, String pathName) throws Exception;
    File downloadFile(BasicAttachment attachment, String pathName) throws Exception;

    String filePreview(String path);

    String filePreview(Long attachmentId);

}
